body {
    margin: 0;
    padding: 0;
}

header {
    display: flex;
    padding-top: 10px;
    height: calc(100vh - 20px);
    justify-content: space-around;
}

a {
    display: block;
    text-decoration: none;
    border: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: calc(50% - 10px);
    background: no-repeat center center;
    background-size: cover;
    position: relative;
    box-sizing: border-box;
}

a::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.3);
    box-sizing: border-box;
    padding: 20px;
    background-clip: content-box;
    transition: all .3s ease-in-out;
}

a:hover::before {
    background-color: rgba(0, 0, 0, 0.4);
    padding: 10px;
}

a:hover span {
    transform: scale(1.05);
    background-color: rgba(255, 255, 255, 1);
}

.hotel {
    background-image: url('hotel.webp');
}

.restauracja {
    background-image: url('restauracja.webp');
}

span {
    background-color: rgba(255, 255, 255, 0.8);
    position: relative;
    z-index: 1;
    display: block;
    padding: 15px;
    border-radius: 10px;
    transition: all .3s ease-in-out;
    box-sizing: border-box;
}

@media screen and (max-width: 1000px) {
    header {
        padding-top: 5px;
        height: calc(100vh - 10px);
    }

    a {
        width: calc(50% - 5px);
    }

    a::before {
        padding: 0px;
    }

    a:hover::before {
        padding: 0;
    }

    span {
        padding: 5px;
        width: 96%;
    }

    img {
        max-width: 100%;
        height: auto;
    }
}